Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class GuiCreateWorld

    java.lang.Object
      net.minecraft.src.Gui
          net.minecraft.src.GuiScreen
              net.minecraft.src.GuiCreateWorld

    public class GuiCreateWorld

extends GuiScreen

Field Summary
`String` | `field_82290_a`

Fields inherited from class net.minecraft.src.GuiScreen
`allowUserInput, guiParticles, height, width`

Constructor Summary
`GuiCreateWorld(GuiScreen par1GuiScreen)`

Method Summary
`void` | `drawScreen(int par1, int par2, float par3)` Draws the screen and all the components in it.
`static String` | `func_73913_a(ISaveFormat par0ISaveFormat, String par1Str)`
`void` | `func_82286_a(WorldInfo par1WorldInfo)`
`void` | `initGui()` Adds the buttons (and other controls) to the screen in question.
`void` | `onGuiClosed()` Called when the screen is unloaded.
`void` | `updateScreen()` Called from the main game loop to update the screen.

Methods inherited from class net.minecraft.src.GuiScreen
`confirmClicked, doesGuiPauseGame, drawBackground, drawDefaultBackground, drawWorldBackground, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, setClipboardString, setWorldAndResolution`

Methods inherited from class net.minecraft.src.Gui
`drawCenteredString, drawRect, drawString, drawTexturedModalRect`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### field_82290_a

    public String field_82290_a

Constructor Detail

### GuiCreateWorld

    public GuiCreateWorld(GuiScreen par1GuiScreen)

Method Detail

### updateScreen

    public void updateScreen()

  Called from the main game loop to update the screen.

  Overrides:
    `updateScreen` in class `GuiScreen`

### initGui

    public void initGui()

  Adds the buttons (and other controls) to the screen in question.

  Overrides:
    `initGui` in class `GuiScreen`

### func_73913_a

    public static String func_73913_a(ISaveFormat par0ISaveFormat,
                                      String par1Str)

### onGuiClosed

    public void onGuiClosed()

  Called when the screen is unloaded. Used to disable keyboard repeat events

  Overrides:
    `onGuiClosed` in class `GuiScreen`

### drawScreen

    public void drawScreen(int par1,
                           int par2,
                           float par3)

  Draws the screen and all the components in it.

  Overrides:
    `drawScreen` in class `GuiScreen`

### func_82286_a

    public void func_82286_a(WorldInfo par1WorldInfo)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD